#version 460 core

layout (location = 0) in vec3 polozenie_in;
layout (location = 3) in vec4 kolor_in;

const mat4 macierzJednostkowa = mat4(1.0);



out vec4 kolorVertToTesc;

out vec2 wspTeksturVertToTesc;

void main()
{
	vec4 polozenie = vec4(polozenie_in, 1.0);
	gl_Position = polozenie;

	kolorVertToTesc = kolor_in;

}
